summarylogtreecommitdiffstats
path: root/google-docs.sh
diff options
context:
space:
mode:
authorzxp198210052024-01-08 09:37:03 +0800
committerzxp198210052024-01-08 09:37:03 +0800
commit66997165a060936f8d6042785f84e93d6f031797 (patch)
treee519d06ee49c40184874795a95bc7a17fe6ee695 /google-docs.sh
parent4ea62e4abbf30f076f38b5b58f8eccfbd8fd5f69 (diff)
downloadaur-66997165a060936f8d6042785f84e93d6f031797.tar.gz
fix errors
Diffstat (limited to 'google-docs.sh')
-rw-r--r--google-docs.sh22
1 files changed, 14 insertions, 8 deletions
diff --git a/google-docs.sh b/google-docs.sh
index de1d693423a1..c77c53567639 100644
--- a/google-docs.sh
+++ b/google-docs.sh
@@ -1,11 +1,17 @@
-#!/bin/bash
-_ELECTRON=/usr/bin/electron25
-APPDIR="/usr/lib/google-docs"
-export PATH="${APPDIR}:${PATH}"
-#export LD_LIBRARY_PATH="${APPDIR}/swiftshader:${LD_LIBRARY_PATH}"
-_ASAR="${APPDIR}/app.asar"
+#!/bin/sh
+set -e
+_APPDIR="/usr/lib/@appname@"
+_ASAR="${_APPDIR}/@appasar@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export NODE_ENV=production
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec ${_ELECTRON} ${_ASAR} "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
+ exit
else
- exec ${_ELECTRON} ${_ASAR} --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
+ exit
fi \ No newline at end of file